Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2005:008: cups


Vulnerability Assessment Details

MDKSA-2005:008: cups

Vulnerability Assessment Summary
Check for the version of the cups package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2005:008 (cups).



A buffer overflow was discovered in the ParseCommand function in the hpgltops
utility. A possible hacker with the ability to send malicious HPGL files to a printer
could possibly execute arbitrary code as the 'lp' user (CVE-2004-1267).

Vulnerabilities in the lppasswd utility were also discovered. The program
ignores write errors when modifying the CUPS passwd file. A local user who is
able to fill the associated file system could corrupt the CUPS passwd file or
prevent future use of lppasswd (CVE-2004-1268 and CVE-2004-1269). As well,
lppasswd does not verify that the passwd.new file is different from STDERR,
which could permit a local user to control output to passwd.new via certain user
input that could trigger an error message (CVE-2004-1270).

The updated packages have been patched to prevent these problems.



Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2005:008
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 Tenable Network Security

Cables, Connectors

IBM SYSTEM X3650 M4 2.5 SERVER TWO E5-2603 1.80GHZ 256GB 4 X 146GB 15K SAS M5110
$5309.0
IBM SYSTEM X3650 M4 2.5 SERVER TWO E5-2603 1.80GHZ 256GB 4 X 146GB 15K SAS M5110 pictureLENOVO THINKSERVER RD630 TWO E5-2667 2.90GHZ 48GB 2 X 300GB 10K SAS
$969.0
LENOVO THINKSERVER RD630 TWO E5-2667 2.90GHZ 48GB 2 X 300GB 10K SAS pictureLENOVO THINKSERVER RD650 TWO E5-2667V4 3.2GHZ 256GB 6 X 1TB SATA
$9519.0
LENOVO THINKSERVER RD650 TWO E5-2667V4 3.2GHZ 256GB 6 X 1TB SATA pictureIBM SYSTEM X3550 M3 SERVER E5640 2.66GHZ 64GB 4 X 1TB SAS
$1919.0
IBM SYSTEM X3550 M3 SERVER E5640 2.66GHZ 64GB 4 X 1TB SAS picture


Discussions

No Discussions have been posted on this vulnerability.